<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:background="@color/all_white"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <ImageView
        android:background="@color/all_white"
        android:layout_width="match_parent"
        android:layout_height="3dp" />

    <LinearLayout
        android:gravity="right|center_vertical|center_horizontal|center"
        android:orientation="horizontal"
        android:background="@color/light_gray"
        android:layout_width="match_parent"
        android:layout_height="28dp">

        <TextView
            android:textSize="12sp"
            android:textColor="@color/all_black"
            android:gravity="right|center_vertical|center_horizontal|center"
            android:id="@+id/ink_name"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_marginRight="10dp"
            android:text="Cyan" />

        <RelativeLayout
            android:id="@+id/ink_holder"
            android:background="@color/all_white"
            android:layout_width="100dp"
            android:layout_height="match_parent"
            android:layout_marginLeft="2dp"
            android:layout_marginTop="2dp"
            android:layout_marginRight="2dp"
            android:layout_marginBottom="2dp">

            <FrameLayout
                android:orientation="horizontal"
                android:id="@+id/ink_level"
                android:background="@color/all_black"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginLeft="2dp"
                android:layout_marginTop="2dp"
                android:layout_marginRight="2dp"
                android:layout_marginBottom="2dp"
                android:layout_alignParentLeft="true">

                <View
                    android:id="@+id/white_ink_level"
                    android:background="@color/all_white"
                    android:visibility="gone"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="1dp" />
            </FrameLayout>

            <ImageView
                android:id="@+id/ink_error"
                android:visibility="gone"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:src="@drawable/ink_error"
                android:scaleType="fitXY"
                android:layout_centerInParent="true" />
        </RelativeLayout>
    </LinearLayout>
</LinearLayout>
